Account Remove Role
Removes a role from an account. Members without the MANAGE_ROLES cannot use this operation. Admins cannot remove the admin role from themselves.
/accounts/{account_handle}/roles/{role_id}Removes a role from an account. Members without the MANAGE_ROLES cannot use this operation. Admins cannot remove the admin role from themselves.
In: cookie
Path Parameters
Role ID
Account handle.
Response Body
application/json
application/json
curl -X DELETE "https://example.com/accounts/southclaws/roles/cc5lnd2s1s4652adtu50"{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"roles": [
{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"name": "string",
"colour": "string",
"permissions": [
"CREATE_POST"
],
"meta": {},
"badge": true,
"default": true
}
],
"bio": "<body><p>hi, my name is</p><p>southclaws</p></body>",
"signature": "<body><p>Sent with love from London!</p></body>",
"links": [
{
"text": "string",
"url": "string"
}
],
"meta": {},
"verified_status": "none",
"kind": "human",
"email_addresses": [
{
"id": "cc5lnd2s1s4652adtu50",
"email_address": "hello@storyden.org",
"verified": true
}
],
"auth_services": [
"string"
],
"notifications": 0,
"admin": true,
"invited_by": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
}
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Account Password Reset Token Get POST
Provides the caller with a token that can be used with the endpoint `/auth/password/reset` to reset the account's password. This is intended for admin usage for when the instance is not using email authentication mode or if the target account has no email addresses to send resets.
Account Role Remove Badge DELETE
Removes the badge from the profile. This does not remove the role from the account, only the visual badge-status representation of the role.